> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign User

> Assign a user to a session policy. The assignment takes effect immediately.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/session-policies/{id}/assignments/users
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/session-policies/{id}/assignments/users:
    post:
      tags:
        - Session Policy
      summary: Assign User
      description: >-
        Assign a user to a session policy. The assignment takes effect
        immediately.
      operationId: c1.api.session_policy.v1.SessionPolicyService.AssignUser
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The session policy to assign to.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.session_policy.v1.SessionPolicyServiceAssignUserRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.session_policy.v1.SessionPolicyServiceAssignUserResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: AssignUser
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SessionPolicy.AssignUser(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceAssignUserRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SessionPolicyServiceAssignUserResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.session_policy.v1.SessionPolicyServiceAssignUserRequestInput:
      description: The SessionPolicyServiceAssignUserRequest message.
      properties:
        userId:
          description: The user to assign.
          type: string
      required:
        - userId
      title: Session Policy Service Assign User Request
      type: object
      x-speakeasy-name-override: SessionPolicyServiceAssignUserRequest
    c1.api.session_policy.v1.SessionPolicyServiceAssignUserResponse:
      description: The SessionPolicyServiceAssignUserResponse message.
      title: Session Policy Service Assign User Response
      type: object
      x-speakeasy-name-override: SessionPolicyServiceAssignUserResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````